Bug 517422 - Infinite loop encoding tracks when set to auto rip on CD insert
Summary: Infinite loop encoding tracks when set to auto rip on CD insert
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grip
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-13 20:22 UTC by Dave Allan
Modified: 2016-04-26 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:07:35 UTC


Attachments (Terms of Use)

Description Dave Allan 2009-08-13 20:22:51 UTC
Description of problem:
I am ripping my entire CD collection, so I have grip set to auto rip on insert/auto eject when done.  I'm not sure what format I'm ultimately going to encode the tracks in, so I set grip to save the wav files.  Often, however, grip rips all the tracks of a disk, and successfully encodes them, but then starts encoding them all over and over again, I believe forever.  (I've let it go through all the tracks several times.)  It does not re-rip them, though.  It's not 100% reproducible, however.

Version-Release number of selected component (if applicable):
grip-3.2.0-26.fc11.i586

How reproducible:
Intermittent, I have found no pattern to the problem appearance.

Steps to Reproduce:
Set grip to auto rip on insert, auto eject when done, save .wav files
rip & encode a disk (as ogg in my case)


Additional info:
This is an absolutely stock, up-to-date F11 box; I have no additional repositories configured except Adobe, which should be irrelevant to this bug.  I.e., this is all code that ships with F11, not some weird non-free repo version.

Comment 1 Bug Zapper 2010-04-28 09:45:16 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:07:35 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Dave Allan 2010-06-28 19:25:18 UTC
As I have completed the CD ripping project, I don't have any data as to whether the bug continues to exist.  Agree with closing.


Note You need to log in before you can comment on or make changes to this bug.